Summary:        Tools for using a Web Server Gateway Interface stack
Name:           python-paste
Version:        3.5.2
Release:        2%{?dist}
License:        MIT and ZPLv2.0 and Python and (AFL or MIT) and (MIT or ASL 2.0)
URL:            https://github.com/cdent/paste
Source0:        https://files.pythonhosted.org/packages/source/P/Paste/Paste-%{version}.tar.gz

BuildRequires: python3-devel python3-pyOpenSSL python3-pytest python3-setuptools
BuildRequires: python3-six >= 1.4.0 python3-tempita

BuildArch:      noarch

%description
Paste is in maintenance mode and recently moved from bitbucket to github.
Patches are accepted to keep it on life support, but for the most part,
please consider using other options.


%package -n python3-paste
Summary:  Tools for using a Web Server Gateway Interface stack
Requires: python3-pyOpenSSL
Requires: python3-setuptools
Requires: python3-six
Requires: python3-tempita


%description -n python3-paste
Paste is in maintenance mode and recently moved from bitbucket to github.
Patches are accepted to keep it on life support, but for the most part,
please consider using other options.


%prep
%autosetup -n Paste-%{version} -p1

find . -name "*.orig" -delete
sed -i -e '/^#!.*/,1 d' paste/util/scgiserver.py paste/debug/doctest_webapp.py

pushd docs
rm StyleGuide.txt
popd


%build
%py3_build


%install
%py3_install


%check
export PYTHONPATH=$(pwd)
export PYTHONWARNINGS="ignore:'cgi':DeprecationWarning"
%pytest -k "not test_paste_website and not test_proxy_to_website and not test_modified"


%files -n python3-paste
%license docs/license.txt
%doc docs/*
%{python3_sitelib}/paste
%{python3_sitelib}/Paste-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/Paste-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 cunshunxia <cunshunxia@tencent.com> - 3.5.2-1
- initial build
